> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useblueprints.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve an order

> Approves a pending order intent owned by the authenticated account. API keys need the `orders:write` scope.



## OpenAPI

````yaml /openapi.yaml post /api/orders/{id}/approve
openapi: 3.1.0
info:
  title: Blueprints API
  version: '1.0'
  description: >-
    API for approved Blueprints product clients and integrations. Account
    resources require bearer authentication.
servers:
  - url: https://api.useblueprints.ai
security:
  - apiKeyBearer: []
tags:
  - name: Health
    description: Service status endpoints that do not require authentication.
  - name: Market data
    description: Authenticated read-only helpers for finding supported market inputs.
  - name: Blueprints
    description: Create, inspect, update, deploy, and stop account-owned blueprints.
  - name: Orders
    description: Read account order activity.
  - name: Portfolio
    description: Read account-level balances, positions, and portfolio summary data.
  - name: Risk rules
    description: Read and update account-level trading safeguards.
  - name: API keys
    description: Manage API keys used by trusted external integrations and MCP clients.
paths:
  /api/orders/{id}/approve:
    post:
      tags:
        - Orders
      summary: Approve an order
      description: >-
        Approves a pending order intent owned by the authenticated account. API
        keys need the `orders:write` scope.
      operationId: approveOrder
      parameters:
        - $ref: '#/components/parameters/Id'
      responses:
        '200':
          description: Order was approved.
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                    const: true
                  id:
                    type: string
                    format: uuid
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
components:
  parameters:
    Id:
      name: id
      in: path
      required: true
      description: Resource UUID.
      schema:
        type: string
        format: uuid
  responses:
    Unauthorized:
      description: Missing, invalid, revoked, or expired credentials.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Credential is valid but cannot perform this action.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
        message:
          type: string
  securitySchemes:
    apiKeyBearer:
      type: http
      scheme: bearer
      bearerFormat: bp_ API key
      x-default: bp_YOUR_API_KEY

````